VelocityReport Plugin - Defect #199

printReport error in WC
12/17/2010 09:59 AM - Victor Rojo Carballo

Status: Closed Start date: 12/17/2010
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
Hi!
| get these errors testing the sample solution when | try to print a report in WC from server.

2010-12-17 09:54:03,342 ERROR [http-8080-3] com.servoy.j2db.util.Debug -

2010-12-17 09:54:03,342 ERROR [http-8080-3] com.servoy.j2db.util. Debug - Throwable
org.mozilla.javascript. WrappedException: Wrapped java.awt.HeadlessException (onActionPrint#834)

at org.mozilla.javascript.Context.throwAsScriptRuntimeEx(Context.java:1828)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:199)

at org.mozilla.javascript.NativeJavaMethod.call(NativeJavaMethod.java:353)

at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:3666)

at script.onActionPrint(onActionPrint:834)

at org.mozilla.javascript.Interpreter.interpret(Interpreter.java:2680)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:166)

at org.mozilla.javascript.ContextFactory.doTopCall(ContextFactory.java:387)

at org.mozilla.javascript.ScriptRuntime.doTopCall(ScriptRuntime.java:3127)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:165)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:458)

at com.servoy.j2db.FormController.executeFunction(FormController.java:3977)

at com.servoy.j2db.FormController.executeFunction(FormController.java:3865)

at com.servoy.j2db.FormController.executeFunction(FormController.java:3787)

at com.servoy.j2db.FormController$ScriptExecuter.executeFunction(FormController.java:3642)

at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand(BaseEventExecutor.java:272)

at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand(BaseEventExecutor.java:217)

at com.servoy.j2db.server.headlessclient.dataui. WebEventExecutor.onEvent(WebEventExecutor.java:362)
at com.servoy.j2db.server.headlessclient.dataui.WebEventExecutor$2.onEvent(WebEventExecutor.java:166)
at org.apache.wicket.ajax.AjaxEventBehavior.respond(AjaxEventBehavior.java:177)

at org.apache.wicket.ajax.AbstractDefaultAjaxBehavior.onRequest(AbstractDefaultAjaxBehavior.java:300)
at org.apache.wicket.request.target.component.listener.BehaviorRequestTarget.processEvents(BehaviorRequestTarget.java:157)
at org.apache.wicket.request.AbstractRequestCycleProcessor.processEvents(AbstractRequestCycleProcessor.java:92)
at org.apache.wicket.RequestCycle.processEventsAndRespond(RequestCycle.java:1250)

at org.apache.wicket.RequestCycle.step(RequestCycle.java:1329)

at org.apache.wicket.RequestCycle.steps(RequestCycle.java:1436)

at org.apache.wicket.RequestCycle.request(RequestCycle.java:545)

at org.apache.wicket.protocol.http.WicketFilter.doGet(WicketFilter.java:486)

at com.servoy.j2db.server.servlets.Zl.doGet(Zl.java:11)

at org.apache.wicket.protocol.http.WicketServlet.doGet(WicketServlet.java:138)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:617)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:567)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)

at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:849)

at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:454)
at java.lang.Thread.run(Thread.java:680)

Caused by: java.awt.HeadlessException

at apple.awt.CPrinterJob.printDialog(CPrinterJob.java:71)

at net.stuff.servoy.plugin.velocityreport.PluginProvider.js_printReport(PluginProvider.java:842)
at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(NativeMethodAccessorimpl.java:39)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(DelegatingMethodAccessorimpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:179)

... 42 more

Tested in WC from server. VelocityReport 1.3.12

History

#1 - 12/17/2010 07:18 PM - Patrick Talbot

- Status changed from New to Closed

printReport is not web compatible.
https://www.servoyforge.net/projects/velocity-report/wiki/Scripting#printReport
http://www.tcpdf.org

